Menu Fermer

Le CDPR annonce qu’un correctif sera bientôt apporté au problème du Cyberpunk 2077 Mod Warning

Les mods pour les jeux ne sont pas nouveaux et les mods de Cyberpunk 2077 se sont multipliés depuis le premier jour du lancement du jeu. Bien qu’il y ait toujours un risque de corruption des fichiers de sauvegarde lors de la modification d’un jeu, CD Projekt Red met en garde les joueurs contre les risques de sécurité potentiels liés à une vulnérabilité des fichiers DLL.

Pour ceux qui ne le sauraient pas, DLL est l’abréviation de Dynamic Link Libraries et elles sont comme des EXE mais ne sont pas directement exécutables. La DLL contient des éléments tels que des interfaces utilisateur, des classes, des variables et d’autres fonctions et fait partie de pratiquement tous les systèmes d’exploitation. Ces fichiers comprennent un codage important que la plupart des systèmes requièrent au démarrage, et une incapacité à reconnaître cette bibliothèque peut entraîner l’échec du démarrage d’un système.

Le studio à l’origine du RPG open-world s’est rendu sur Twitter pour lancer un avertissement : “Si vous prévoyez d’utiliser le mode Cyberpunk 2077/économies personnalisées sur PC, soyez prudent. Nous avons été informés d’une vulnérabilité dans les fichiers DLL externes utilisés par le jeu, qui peuvent être utilisés pour exécuter du code sur les PC. Ce problème sera corrigé dès que possible. Pour l’instant, veuillez vous abstenir d’utiliser des fichiers de sources inconnues”.

Si vous prévoyez d’utiliser le mode @CyberpunkGame/les sauvegardes personnalisées sur PC, faites preuve de prudence. Nous avons été informés d’une vulnérabilité dans les fichiers DLL externes que le jeu utilise et qui peuvent être utilisés pour exécuter du code sur les PC. Le problème sera corrigé dès que possible. Pour l’instant, veuillez vous abstenir d’utiliser des fichiers de sources inconnues.

– CD PROJEKT RED CS (@CDPRED_Support) 2 février 2021

La façon dont le studio a “pris conscience” du problème est un fil de discussion de Reddit qui est depuis devenu viral, détaillant le problème de sécurité concernant certains mods Cyberpunk 2077. “Par l’utilisation d’un mod ou d’un jeu de sauvegarde, des codes malveillants peuvent être exécutés pour prendre le contrôle du PC par le créateur du jeu/mod de sauvegarde”, lit-on dans le post initial. “Le CDPR a été informé de cette grave faille de sécurité pendant près d’une semaine. Ils ont ensuite publié le Hotfix 1.11, mais n’ont pas pris la peine d’y remédier. Vous devez remercier PixelRick (Red Tools Team), dont la découverte a attiré l’attention de la communauté des moddeurs”.

Le rédacteur a ensuite clarifié le message original, en mentionnant qu’il pensait à l’origine qu’il s’agissait d’un problème spécifique aux PC, étant donné que la modification des PC est la voie la plus accessible et la plus facile, mais un autre utilisateur a confirmé que la vulnérabilité s’étend également aux joueurs PS4.

L’ensemble du fil de discussion détaille les alternatives que les joueurs peuvent également utiliser lors du modding, y compris la manière de repérer les codes malveillants lors de l’utilisation de ressources comme les Nexus Mods. Pour en savoir plus sur les vulnérabilités dont le CDPR nous avertit, vous pouvez consulter le post complet ici. Vous pouvez également en apprendre davantage sur les ajustements des cybermoteurs pour des pratiques de modding plus sûres, en attendant que le correctif officiel du studio soit mis en place.